<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_66) on Mon Nov 23 18:11:10 CET 2015 -->
<title>FinancialAccount (QA API)</title>
<meta name="date" content="2015-11-23">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FinancialAccount (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.BankStatements.html" title="class in com.openbravo.test.integration.erp.testscripts.financial.receivablespayables.transactions"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.html" target="_top">Frames</a></li>
<li><a href="FinancialAccount.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.testscripts.financial.receivablespayables.transactions</div>
<h2 title="Class FinancialAccount" class="title">Class FinancialAccount</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html" title="class in com.openbravo.test.integration.erp.testscripts">com.openbravo.test.integration.erp.testscripts.SmokeTabScript</a>&lt;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/AccountData.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">AccountData</a>,<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/AccountTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.financialaccount">AccountTab</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.testscripts.financial.receivablespayables.transactions.FinancialAccount</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html" title="interface in com.openbravo.test.integration.erp.testscripts">SmokeWindowScript</a>&lt;<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/FinancialAccountWindow.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.financialaccount">FinancialAccountWindow</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FinancialAccount</span>
extends <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html" title="class in com.openbravo.test.integration.erp.testscripts">SmokeTabScript</a>&lt;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/AccountData.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">AccountData</a>,<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/AccountTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.financialaccount">AccountTab</a>&gt;
implements <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html" title="interface in com.openbravo.test.integration.erp.testscripts">SmokeWindowScript</a>&lt;<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/FinancialAccountWindow.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.financialaccount">FinancialAccountWindow</a>&gt;</pre>
<div class="block">Executes and verifies actions on the Financial Account window.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.BankStatements.html" title="class in com.openbravo.test.integration.erp.testscripts.financial.receivablespayables.transactions">FinancialAccount.BankStatements</a></span></code>
<div class="block">Executes and verifies actions on the Bank Statements tab.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.PaymentMethod.html" title="class in com.openbravo.test.integration.erp.testscripts.financial.receivablespayables.transactions">FinancialAccount.PaymentMethod</a></span></code>
<div class="block">Executes and verifies actions on the Payment Method tab.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.Reconciliations.html" title="class in com.openbravo.test.integration.erp.testscripts.financial.receivablespayables.transactions">FinancialAccount.Reconciliations</a></span></code>
<div class="block">Executes and verifies actions on the Reconciliations tab.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.Transaction.html" title="class in com.openbravo.test.integration.erp.testscripts.financial.receivablespayables.transactions">FinancialAccount.Transaction</a></span></code>
<div class="block">Executes and verifies actions on the Transaction tab.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.html#IDENTIFIER_CHECKBOX_DELETE">IDENTIFIER_CHECKBOX_DELETE</a></span></code>
<div class="block">Identifier of the delete accounting entry checkbox</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.openbravo.test.integration.erp.testscripts.SmokeTabScript">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.openbravo.test.integration.erp.testscripts.<a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html" title="class in com.openbravo.test.integration.erp.testscripts">SmokeTabScript</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#mainPage">mainPage</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.html#FinancialAccount-com.openbravo.test.integration.erp.modules.client.application.gui.MainPage-">FinancialAccount</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/MainPage.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">MainPage</a>&nbsp;mainPage)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.html#addPaymentInOut-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">addPaymentInOut</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;document,
               <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toBePaidTo,
               <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;paymentMethod,
               <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;purchaseInvoiceNumber,
               <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;action)</code>
<div class="block">Add Payment In/Out</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.html#addTransaction-java.lang.String-java.lang.String-">addTransaction</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;document,
              <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;description)</code>
<div class="block">Add a transaction.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.html" title="class in com.openbravo.test.integration.erp.testscripts.financial.receivablespayables.transactions">FinancialAccount</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.html#open--">open</a></span>()</code>
<div class="block">Open the Financial Account window.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/MatchStatementProcess.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions">MatchStatementProcess</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.html#openMatchStatement-boolean-">openMatchStatement</a></span>(boolean&nbsp;runAlgorithm)</code>
<div class="block">Open Add Payment pop</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.html#reconcile-java.lang.String-boolean-java.lang.String-">reconcile</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;endingBalance,
         boolean&nbsp;hideTransactionsAfterStatementDate,
         <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;description)</code>
<div class="block">Process a reconciliation.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/AccountTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.financialaccount">AccountTab</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.html#selectTab--">selectTab</a></span>()</code>
<div class="block">Select and return the tab.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.testscripts.SmokeTabScript">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.testscripts.<a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html" title="class in com.openbravo.test.integration.erp.testscripts">SmokeTabScript</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertCount-int-">assertCount</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertData-D-">assertData</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertDisplayLogicEnabled-com.openbravo.test.integration.erp.data.DataObject-">assertDisplayLogicEnabled</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertDisplayLogicExpanded-com.openbravo.test.integration.erp.data.DataObject-">assertDisplayLogicExpanded</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertDisplayLogicVisible-com.openbravo.test.integration.erp.data.DataObject-">assertDisplayLogicVisible</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertProcessCompletedSuccessfully--">assertProcessCompletedSuccessfully</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertProcessCompletedSuccessfully2--">assertProcessCompletedSuccessfully2</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertProcessCompletedSuccessfully2-java.lang.String-">assertProcessCompletedSuccessfully2</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertProcessCompletedSuccessfullyContentMatch-java.lang.String-">assertProcessCompletedSuccessfullyContentMatch</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertSaved--">assertSaved</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#cancelOnGrid--">cancelOnGrid</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#closeForm--">closeForm</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#create-D-">create</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#edit-D-">edit</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#filter-D-">filter</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#getData--">getData</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#getData-java.lang.String-">getData</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#getRecordCount--">getRecordCount</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#getTab--">getTab</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#select-D-">select</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="IDENTIFIER_CHECKBOX_DELETE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>IDENTIFIER_CHECKBOX_DELETE</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> IDENTIFIER_CHECKBOX_DELETE</pre>
<div class="block">Identifier of the delete accounting entry checkbox</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#com.openbravo.test.integration.erp.testscripts.financial.receivablespayables.transactions.FinancialAccount.IDENTIFIER_CHECKBOX_DELETE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FinancialAccount-com.openbravo.test.integration.erp.modules.client.application.gui.MainPage-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FinancialAccount</h4>
<pre>public&nbsp;FinancialAccount(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/MainPage.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">MainPage</a>&nbsp;mainPage)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mainPage</code> - The application main page.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="open--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>open</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.html" title="class in com.openbravo.test.integration.erp.testscripts.financial.receivablespayables.transactions">FinancialAccount</a>&nbsp;open()</pre>
<div class="block">Open the Financial Account window.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html#open--">open</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html" title="interface in com.openbravo.test.integration.erp.testscripts">SmokeWindowScript</a>&lt;<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/FinancialAccountWindow.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.financialaccount">FinancialAccountWindow</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this script class.</dd>
</dl>
</li>
</ul>
<a name="selectTab--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectTab</h4>
<pre>protected&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/AccountTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.financialaccount">AccountTab</a>&nbsp;selectTab()</pre>
<div class="block">Select and return the tab.
 
 Before this, the window must be opened.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#selectTab--">selectTab</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html" title="class in com.openbravo.test.integration.erp.testscripts">SmokeTabScript</a>&lt;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/AccountData.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">AccountData</a>,<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/AccountTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.financialaccount">AccountTab</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the tab GUI object.</dd>
</dl>
</li>
</ul>
<a name="addTransaction-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addTransaction</h4>
<pre>public&nbsp;void&nbsp;addTransaction(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;document,
                           <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;description)</pre>
<div class="block">Add a transaction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>document</code> - The document type.</dd>
<dd><code>description</code> - The description of the document.</dd>
</dl>
</li>
</ul>
<a name="addPaymentInOut-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPaymentInOut</h4>
<pre>public&nbsp;void&nbsp;addPaymentInOut(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;document,
                            <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toBePaidTo,
                            <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;paymentMethod,
                            <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;purchaseInvoiceNumber,
                            <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;action)</pre>
<div class="block">Add Payment In/Out</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>document</code> - The document type.</dd>
<dd><code>toBePaidTo</code> - The business partner to be paid.</dd>
<dd><code>paymentMethod</code> - The payment method.</dd>
<dd><code>purchaseInvoiceNumber</code> - The number of the purchase invoice.</dd>
<dd><code>action</code> - The action to execute on the document.</dd>
</dl>
</li>
</ul>
<a name="reconcile-java.lang.String-boolean-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reconcile</h4>
<pre>public&nbsp;void&nbsp;reconcile(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;endingBalance,
                      boolean&nbsp;hideTransactionsAfterStatementDate,
                      <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;description)</pre>
<div class="block">Process a reconciliation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>endingBalance</code> - The reconciliation ending balance.</dd>
<dd><code>hideTransactionsAfterStatementDate</code> - Indicates if the transactions after statement date should be hidden.</dd>
<dd><code>description</code> - The description of the transaction to clear.</dd>
</dl>
</li>
</ul>
<a name="openMatchStatement-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>openMatchStatement</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/MatchStatementProcess.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions">MatchStatementProcess</a>&nbsp;openMatchStatement(boolean&nbsp;runAlgorithm)</pre>
<div class="block">Open Add Payment pop</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.BankStatements.html" title="class in com.openbravo.test.integration.erp.testscripts.financial.receivablespayables.transactions"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/FinancialAccount.html" target="_top">Frames</a></li>
<li><a href="FinancialAccount.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
